> For the complete documentation index, see [llms.txt](https://api-documentation.autoshares.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-documentation.autoshares.dev/rest-api/trading-api/securities/get-options-expiration-dates/securities_getoptionsexpirations.md).

# Syntax

## Get options expirations set

```
GET /v{version}/options/expirations
```

### Description

This API endpoint enables you to retrieve expiration dates of options with a specific underlying security.

### Parameters

| Type       | Name                           | Description                                                                                                                                                   | Schema | Default |
| ---------- | ------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------ | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                                          | string |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                                        | string |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0.                   | string | `"1"`   |
| **Query**  | **currency**   *optional*      | This is the exchange on which the options are listed (use it if you have multiple options with the same ticker but listed on different exchanges).            | string |         |
| **Query**  | **exchange**   *optional*      | This is the currency in which the options are denominated (use it if you have multiple options with the same ticker but denominated in different currencies). | string |         |
| **Query**  | **underlying**   *required*    | This is the ticker symbol of the underlying security of the options whose expiration dates need to be retrieved.                                              | string |         |

### Responses

| HTTP Code | Description                                                                                                                   | Schema                                                                                                                                                           |
| --------- | ----------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **200**   | Successful request, JSON data is returned, containing the expiration dates of options with the specified underlying security. | < [OptionExpirationResource](/rest-api/trading-api/securities/get-options-expiration-dates/securities_getoptionsexpirations.md#optionexpirationresource) > array |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation.                             | No Content                                                                                                                                                       |
| **403**   | The provided Et-App-Key is incorrect.                                                                                         | No Content                                                                                                                                                       |
| **422**   | A validation error occurred while processing the request.                                                                     | No Content                                                                                                                                                       |
| **500**   | Internal server error                                                                                                         | No Content                                                                                                                                                       |

### Produces

* `application/json`
* `text/json`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/securities/get-options-expiration-dates/securities_getoptionsexpirations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
